# Uses of Interface
org.eclipse.birt.chart.model.layout.Plot

Packages that use Plot
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of Plot in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type Plot
Modifier and Type
Method
Description
`static StructureSource`
StructureSource.`createPlot(Plot pt)`
Creates a Structure Source for type Plot.

## Uses of Plot in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Plot
Modifier and Type
Method
Description
`Plot`
Chart.`getPlot()`
Convenience method that gets the Plot Block for the chart.

## Uses of Plot in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Plot
Modifier and Type
Method
Description
`final Plot`
ChartImpl.`getPlot()`
Note: Manually written

## Uses of Plot in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Plot
Modifier and Type
Method
Description
`Plot`
Plot.`copyInstance()`
`Plot`
LayoutFactory.`createPlot()`
Returns a new object of class 'Plot'.

## Uses of Plot in org.eclipse.birt.chart.model.layout.impl

Classes in org.eclipse.birt.chart.model.layout.impl that implement Plot
Modifier and Type
Class
Description
`class`
`PlotImpl`
An implementation of the model object ' Plot'.
Methods in org.eclipse.birt.chart.model.layout.impl that return Plot
Modifier and Type
Method
Description
`Plot`
PlotImpl.`copyInstance()`
`Plot`
LayoutFactoryImpl.`createPlot()`

## Uses of Plot in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type Plot
Modifier and Type
Method
Description
`void`
EmptyWithAxes.`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
`void`
EmptyWithoutAxes.`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
`void`
ISeriesRenderer.`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
Sends out a first pass notification to the series renderer implementation to perform any necessary pre-computations prior to a second pass rendering.
`final void`
AxesRenderer.`renderEachAxis(IPrimitiveRenderer ipr, Plot pl, OneAxis ax, int iWhatToDraw)`
Renders the axis.
`void`
AxesRenderer.`renderPlot(IPrimitiveRenderer ipr, Plot p)`
This method renders the bar graphic elements superimposed over the plot background and any previously rendered series' graphic elements.
`void`
BaseRenderer.`renderPlot(IPrimitiveRenderer ipr, Plot p)`
Renders the Plot
`void`
EmptyWithAxes.`renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh)`
`void`
EmptyWithoutAxes.`renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh)`
`void`
ISeriesRenderer.`renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh)`
Notifies the series renderer to render itself in the provided plot area.